Index: src/sas/sascalc/dataloader/data_info.py
===================================================================
--- src/sas/sascalc/dataloader/data_info.py	(revision deaa0c6b324db1003ba4999149364cd82185294e)
+++ src/sas/sascalc/dataloader/data_info.py	(revision 8d5e11c08bca3b22af7e3960fca8743c4552eb1a)
@@ -954,5 +954,6 @@
         _str += "Data:\n"
         _str += "   Type:         %s\n" % self.__class__.__name__
-        _str += "   X- & Y-axis:  %s\t[%s]\n" % (self._yaxis, self._yunit)
+        _str += "   X-axis:       %s\t[%s]\n" % (self._xaxis, self._xunit)
+        _str += "   Y-axis:       %s\t[%s]\n" % (self._yaxis, self._yunit)
         _str += "   Z-axis:       %s\t[%s]\n" % (self._zaxis, self._zunit)
         _str += "   Length:       %g \n" % (len(self.data))
@@ -983,4 +984,11 @@
                            qx_data=qx_data, qy_data=qy_data,
                            q_data=q_data, mask=mask)
+
+        clone._xaxis = self._xaxis
+        clone._yaxis = self._yaxis
+        clone._zaxis = self._zaxis
+        clone._xunit = self._xunit
+        clone._yunit = self._yunit
+        clone._zunit = self._zunit
 
         clone.title = self.title
@@ -1153,5 +1161,6 @@
 def combine_data_info_with_plottable(data, datainfo):
     """
-    A function that combines the DataInfo data in self.current_datainto with a plottable_1D or 2D data object.
+    A function that combines the DataInfo data in self.current_datainto with a
+    plottable_1D or 2D data object.
 
     :param data: A plottable_1D or plottable_2D data object
@@ -1171,6 +1180,7 @@
         final_dataset.yaxis(data._yaxis, data._yunit)
     elif isinstance(data, plottable_2D):
-        final_dataset = Data2D(data.data, data.err_data, data.qx_data, data.qy_data, data.q_data,
-                               data.mask, data.dqx_data, data.dqy_data)
+        final_dataset = Data2D(data.data, data.err_data, data.qx_data,
+                               data.qy_data, data.q_data, data.mask,
+                               data.dqx_data, data.dqy_data)
         final_dataset.xaxis(data._xaxis, data._xunit)
         final_dataset.yaxis(data._yaxis, data._yunit)
@@ -1181,6 +1191,7 @@
             final_dataset.x_bins = data.qx_data[:int(n_cols)]
     else:
-        return_string = "Should Never Happen: _combine_data_info_with_plottable input is not a plottable1d or " + \
-                        "plottable2d data object"
+        return_string = ("Should Never Happen: _combine_data_info_with_plottabl"
+                         "e input is not a plottable1d or plottable2d data "
+                         "object")
         return return_string
 
Index: src/sas/sascalc/dataloader/file_reader_base_class.py
===================================================================
--- src/sas/sascalc/dataloader/file_reader_base_class.py	(revision 8f882fecc993c2aea9372b888a43497808abe2d7)
+++ src/sas/sascalc/dataloader/file_reader_base_class.py	(revision 8d5e11c08bca3b22af7e3960fca8743c4552eb1a)
@@ -37,4 +37,5 @@
                        "load the file was made, but, should it be successful, "
                        "SasView cannot guarantee the accuracy of the data.")
+
 
 class FileReader(object):
@@ -141,5 +142,4 @@
         Returns the entire file as a string.
         """
-        #return self.f_open.read()
         return decode(self.f_open.read())
 
@@ -308,6 +308,6 @@
         Converts al; data to the sasview default of units of A^{-1} for Q and
         cm^{-1} for I.
-        :param default_x_unit: The default x unit used by Sasview
-        :param default_y_unit: The default y unit used by Sasview
+        :param default_q_unit: The default Q unit used by Sasview
+        :param default_i_unit: The default I unit used by Sasview
         """
         new_output = []
@@ -347,10 +347,14 @@
             elif isinstance(data, Data2D):
                 try:
-                    data.qx_data = data_conv_x(data.qx_data, units=default_q_unit)
+                    data.qx_data = data_conv_x(data.qx_data,
+                                               units=default_q_unit)
                     if data.dqx_data is not None:
-                        data.dqx_data = data_conv_x(data.dqx_data, units=default_q_unit)
-                    data.qy_data = data_conv_y(data.qy_data, units=default_q_unit)
+                        data.dqx_data = data_conv_x(data.dqx_data,
+                                                    units=default_q_unit)
+                    data.qy_data = data_conv_y(data.qy_data,
+                                               units=default_q_unit)
                     if data.dqy_data is not None:
-                        data.dqy_data = data_conv_y(data.dqy_data, units=default_q_unit)
+                        data.dqy_data = data_conv_y(data.dqy_data,
+                                                    units=default_q_unit)
                 except KeyError:
                     message = "Unable to convert Q units from {0} to 1/A."
@@ -362,5 +366,6 @@
                     data.data = data_conv_z(data.data, units=default_i_unit)
                     if data.err_data is not None:
-                        data.err_data = data_conv_z(data.err_data, units=default_i_unit)
+                        data.err_data = data_conv_z(data.err_data,
+                                                    units=default_i_unit)
                 except KeyError:
                     message = "Unable to convert I units from {0} to 1/cm."
@@ -462,9 +467,12 @@
                     self.current_dataset.qy_data))
             if has_error_dy:
-                self.current_dataset.err_data = self.current_dataset.err_data[x != 0]
+                self.current_dataset.err_data = self.current_dataset.err_data[
+                    x != 0]
             if has_error_dqx:
-                self.current_dataset.dqx_data = self.current_dataset.dqx_data[x != 0]
+                self.current_dataset.dqx_data = self.current_dataset.dqx_data[
+                    x != 0]
             if has_error_dqy:
-                self.current_dataset.dqy_data = self.current_dataset.dqy_data[x != 0]
+                self.current_dataset.dqy_data = self.current_dataset.dqy_data[
+                    x != 0]
             if has_mask:
                 self.current_dataset.mask = self.current_dataset.mask[x != 0]
Index: src/sas/sascalc/dataloader/loader.py
===================================================================
--- src/sas/sascalc/dataloader/loader.py	(revision 4a8d55c05d1355e27bf5afa880633879b6178acc)
+++ src/sas/sascalc/dataloader/loader.py	(revision 8d5e11c08bca3b22af7e3960fca8743c4552eb1a)
@@ -367,8 +367,8 @@
             try:
                 return fn(path, data)
-            except Exception:
+            except Exception as exep:
                 pass  # give other loaders a chance to succeed
         # If we get here it is because all loaders failed
-        raise  # reraises last exception
+        raise exep # raises last exception
 
 
